Bug 1270820 - zsh crashes on curl's autoconf script in POSIX mode
zsh crashes on curl's autoconf script in POSIX mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
22
Unspecified Mac OS
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:02 EDT by Kamil Dudka
Modified: 2015-11-03 00:52 EST (History)
4 users (show)

See Also:
Fixed In Version: zsh-5.0.8-7.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 00:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Dudka 2015-10-12 09:02:09 EDT
Version-Release number of selected component (if applicable):
zsh-5.0.8-6.fc22.x86_64


How reproducible:
100%


Steps to Reproduce:
$ curl http://curl.haxx.se/download/curl-7.45.0.tar.gz | gzip -cd | tar -x
$ cd curl-7.45.0 
$ ln -s /usr/bin/zsh sh
$ ./sh ./configure


Actual results:
$ ./sh ./configure
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether to enable debug build options... no
checking whether to enable compiler optimizer... (assumed) yes
checking whether to enable strict compiler warnings... no
checking whether to enable compiler warnings as errors... no
checking whether to enable curl debug memory tracking... no
checking whether to enable hiding of library internal symbols... yes
checking whether to enable c-ares for DNS lookups... no
checking whether to disable dependency on -lrt... (assumed no)
checking for path separator... :
checking for sed... /usr/bin/sed
checking for grep... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ar... /usr/bin/ar
checking for a BSD-compatible install... /usr/bin/install -c
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... zsh: segmentation fault (core dumped)  ./sh ./configure


Additional info:
git-bisect says that the following upstream commit fixes it:

https://sourceforge.net/p/zsh/code/ci/f2b2271f
Comment 1 Kamil Dudka 2015-10-12 09:53:32 EDT
Fixed in zsh-5.0.8-7.fc22 via:

http://pkgs.fedoraproject.org/cgit/zsh.git/commit/?id=c9a82ab2
Comment 2 Fedora Update System 2015-10-12 11:26:30 EDT
zsh-5.0.8-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fa791312b4
Comment 3 Fedora Update System 2015-10-13 14:21:05 EDT
zsh-5.0.8-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update zsh'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fa791312b4
Comment 4 Fedora Update System 2015-11-03 00:52:29 EST
zsh-5.0.8-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.